Subject: bug#47672: closed (Re: [PATCH] gnu: owncloud-client: Update to 2.9.0.5150.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 11 Oct 2021 13:29:02 +0000

Your bug report

#47672: owncloud-client : "Could not read system exclude file"

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47672: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47672
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] gnu: owncloud-client: Update to 2.9.0.5150.
From: Liliana Marie Prikler <[email-masked]>
To: Daniel Meißner <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 11 Oct 2021 15:28:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Montag, den 11.10.2021, 14:24 +0200 schrieb Daniel Meißner:
> > Thanks for checking.  Your workaround LGTM aside from indentation
> > which I can fix.  If the updater is still patched away as intended,
> > I could apply it on top of this one.  Did you check that as well?
> 
> Cool, thanks, that would be great.  I have not found any updater
> widgets in the GUI and the client did not seem to attempt any auto-
> updates.  However, I have never used the owncloud-client outside Guix
> so I do not really know where the updater widget was in the first
> place. Sorry :/
Sounds good enough to me.  Pushed both.

Thanks

Subject: owncloud-client : "Could not read system exclude file"
From: Fulbert <[email-masked]>
To: [email-masked]
Date: Fri, 9 Apr 2021 13:21:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello !

After setting up an account to a davs server, the synchronisation
fails with messages :

* On the GUI : "Could not read system exclude file"

* In log file :
20210409_1235_owncloud.log.0.gz:04-09 12:35:55:294 [ info sync.configfile ]:    Adding system ignore list to csync: "/home/fulbert/etc/ownCloud/sync-exclude.lst"
20210409_1235_owncloud.log.0.gz:04-09 12:35:55:294 [ info sync.configfile ]:    Adding user defined ignore list to csync: "/home/fulbert/.config/ownCloud/sync-exclude.lst"
20210409_1235_owncloud.log.0.gz:04-09 12:35:55:295 [ warning gui.folder ]: Could not read system exclude file

After a little web search, I have not found a way to change the
path to the *system* `sync-exclude.lst` file, whether through GUI,
configuration file or environement variable.

brutal workaround :
$ mkdir $HOME/etc/ownCloud
$ ln -s $HOME/.guix-profile/etc/ownCloud/sync-exclude.lst $HOME/etc/ownCloud

Thanks and best regards.